Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2014-03-07 19:422014-05-22 17:42
ReporteriperdomoView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision43e598987eb7
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSLinux 64 bitDatabaseOracleJava version1.6.0_30
OS VersionOracle Linux 3.8.13-26.1.1.el6ueDatabase version11.2.0 (XE)Ant version1.7.1
Product Version3.0MP29.1SCM revision 
Review Assigned Toalostale
Web browserApple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
ModulesUser Interface Client Kernel
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025936: DateTime reference format support hh:mm:ss a

DescriptionThe DateTime reference only supports time format in HH:mm:ss and not hh:mm:ss a

It uses the dateTimeFormat.java from Openbravo.properties, but not handling all cases.
Steps To ReproduceSet the current values in Openbravo.properties

dateFormat.js=%m-%d-%Y
dateFormat.sql=MM-DD-YYYY
dateFormat.java=MM-dd-yyyy
dateTimeFormat.java=MM-dd-yyyy hh:mm:ss a
dateTimeFormat.sql=MM-DD-YYYY HH12:MI:SS AM

bbdd.sessionConfig=ALTER SESSION SET NLS_DATE_FORMAT='MM-DD-YYYY' NLS_NUMERIC_CHARACTERS='.,'

2) Check the values on "Audit" section of any tab, e.g Organization
3) You'll find that the "time" part is missing or is formatted in unexpected way
TagsNo tags attached.
Attached Files? file icon SimpleDateFormatTest.java [^] (516 bytes) 2014-03-07 19:42
png file icon HHmmss.png [^] (5,805 bytes) 2014-03-07 19:43


png file icon hhmmssa.png [^] (26,280 bytes) 2014-03-07 19:43

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0024683 closedshankarb Some java date patterns are not supported in Openbravo.properties 
has duplicate design defect 0024791 closedAugustoMauch Is not possible to apply a format different from the standard format for Time fields 
related to design defect 0025155 newAugustoMauch Java Date Format are not supported. 
related to defect 0027028 closeddbaz Different behavior between grid and form showing "Absolute Time" reference 
causes defect 0029687 closeddbaz Is not possible to set the hour 12 in DateTime fields 

-  Notes
(0064965)
iperdomo (developer)
2014-03-07 19:45

* HHmmss.png file shows the "standard" way of representing time on a datetime reference
* hhmmssa.png file shows a wrong behavior when using `MM-dd-yyyy hh:mm:ss a` as the datetime format
(0067306)
hgbot (developer)
2014-05-20 13:02

Repository: erp/devel/pi
Changeset: 43e598987eb706d4eac832d474b84a1d0b7ac958
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu May 15 23:49:40 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/43e598987eb706d4eac832d474b84a1d0b7ac958 [^]

Fixed issue 25936: Added 'javaTimeformat.java=MM-dd-yyyy hh:mm:ss a' capability

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-time.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.css
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/AbsoluteTimeUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/TimeUIDefinition.java
M src/index.jsp
---
(0067308)
alostale (developer)
2014-05-20 13:07

Code reviewed.

Executed test cases:

with the following values for dateTimeFormat.java property (and their corresponding dateFormat.java)

MM-dd-yyyy hh:mm:ss a
yyyy-MM-dd hh:mm:ss a
dd-MM-yyyy hh:mm:ss a
MM-dd-yyyy HH:mm:ss
yyyy-MM-dd HH:mm:ss
dd-MM-yyyy HH:mm:ss

In all these cases verified:
-time and date time (absolute and relative) references show the proper format both in grid and form views
-date time picker shows AM/PM picker in case of 12h
-time completion works in all the cases:
  * 10 -> is converted to 10:00:00 AM or 10:00:00 depending on format
  * 22 -> is converted to 10:00:00 PM or 22:00:00 depending on format
  * 10am -> is converted to 10:00:00 AM or 10:00:00 depending on format
  * 10pm -> is converted to 10:00:00 PM or 22:00:00 depending on format
(0067347)
hudsonbot (developer)
2014-05-21 18:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30be5c8a933a [^]
Maturity status: Test
(0067356)
hgbot (developer)
2014-05-21 23:59

Repository: erp/devel/pi
Changeset: 4083ef59b102e4a1c4ee59e3f1f1440c719fcb3a
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed May 21 23:58:53 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4083ef59b102e4a1c4ee59e3f1f1440c719fcb3a [^]

Related to issue 25936 and Fixed issue 26644: Removed custom function
'endsWith' implemented by Smartclint to ensure that standalone files work properly with other libraries

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
---
(0067358)
hgbot (developer)
2014-05-22 00:18

Repository: erp/devel/pi
Changeset: 6395bf98637f8b9ef2c39075f2e533c3500ed9ac
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu May 22 00:17:51 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6395bf98637f8b9ef2c39075f2e533c3500ed9ac [^]

Related to issue 25936: Sidestep Smartclient functions
to ensure that standalone files work properly with other libraries

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
---
(0067359)
hgbot (developer)
2014-05-22 00:50

Repository: erp/devel/pi
Changeset: f6338addf510fc4564073891d9d816c258f99488
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu May 22 00:50:25 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f6338addf510fc4564073891d9d816c258f99488 [^]

Related to issue 25936: Sidestep Smartclient functions
to ensure that standalone files work properly with other libraries - microfix

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
---
(0067381)
hudsonbot (developer)
2014-05-22 17:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1f80725ff7f4 [^]
Maturity status: Test
(0067383)
hudsonbot (developer)
2014-05-22 17:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1f80725ff7f4 [^]
Maturity status: Test
(0067384)
hudsonbot (developer)
2014-05-22 17:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1f80725ff7f4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-07 19:42 iperdomo New Issue
2014-03-07 19:42 iperdomo Assigned To => AugustoMauch
2014-03-07 19:42 iperdomo File Added: SimpleDateFormatTest.java
2014-03-07 19:42 iperdomo Web browser => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2014-03-07 19:42 iperdomo Modules => User Interface Client Kernel
2014-03-07 19:42 iperdomo Triggers an Emergency Pack => No
2014-03-07 19:43 iperdomo File Added: HHmmss.png
2014-03-07 19:43 iperdomo File Added: hhmmssa.png
2014-03-07 19:45 iperdomo Note Added: 0064965
2014-03-11 13:39 jonalegriaesarte Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2014-03-11 16:20 iperdomo Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2014-03-11 16:20 iperdomo Steps to Reproduce Updated View Revisions
2014-03-17 08:18 alostale Relationship added related to 0024683
2014-05-12 09:46 alostale Assigned To AugustoMauch => dbaz
2014-05-20 13:01 alostale Review Assigned To => alostale
2014-05-20 13:01 alostale Web browser Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox => Apple Safari, Google Chrome, Internet Explorer, Mozilla Firefox
2014-05-20 13:01 alostale Type defect => feature request
2014-05-20 13:01 alostale Target Version => PR14Q3
2014-05-20 13:02 hgbot Checkin
2014-05-20 13:02 hgbot Note Added: 0067306
2014-05-20 13:02 hgbot Status new => resolved
2014-05-20 13:02 hgbot Resolution open => fixed
2014-05-20 13:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/43e598987eb706d4eac832d474b84a1d0b7ac958 [^]
2014-05-20 13:07 alostale Note Added: 0067308
2014-05-20 13:07 alostale Status resolved => closed
2014-05-20 13:07 alostale Fixed in Version => PR14Q3
2014-05-20 13:09 alostale Relationship replaced has duplicate 0024683
2014-05-20 13:10 alostale Relationship added has duplicate 0024791
2014-05-20 13:11 alostale Relationship added related to 0025155
2014-05-21 18:34 hudsonbot Checkin
2014-05-21 18:34 hudsonbot Note Added: 0067347
2014-05-21 23:59 hgbot Checkin
2014-05-21 23:59 hgbot Note Added: 0067356
2014-05-22 00:18 hgbot Checkin
2014-05-22 00:18 hgbot Note Added: 0067358
2014-05-22 00:50 hgbot Checkin
2014-05-22 00:50 hgbot Note Added: 0067359
2014-05-22 17:42 hudsonbot Checkin
2014-05-22 17:42 hudsonbot Note Added: 0067381
2014-05-22 17:42 hudsonbot Checkin
2014-05-22 17:42 hudsonbot Note Added: 0067383
2014-05-22 17:42 hudsonbot Checkin
2014-05-22 17:42 hudsonbot Note Added: 0067384
2014-07-08 16:29 dbaz Relationship added related to 0027028
2015-04-24 08:36 alostale Relationship added related to 0029687
2015-04-24 11:36 alostale Relationship replaced causes 0029687


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker